RunningInstanceManager (Resource Management Portlet Common IS Operations Support Library 1.0.0-SNAPSHOT API)
Date: 2012-12-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.managers.resources
Class RunningInstanceManager

    java.lang.Object
      org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
          org.gcube.resourcemanagement.support.server.managers.resources.RunningInstanceManager

    public class RunningInstanceManager

extends AbstractResourceManager

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`RunningInstanceManager()` Deprecated. discouraged use. With no ID some operations cannot be accessed.
`RunningInstanceManager(String id)`
`RunningInstanceManager(String id, String name)`
`RunningInstanceManager(String id, String name, String subType)`

Method Summary
`protected org.gcube.common.core.resources.GCUBEResource` | `buildGCUBEResource(String xmlRepresentation)` Given the XML profile representation of a gcube resource, its GCUBEResource is built.
`String` | `checkDeployStatus(org.gcube.common.core.scope.GCUBEScope scope, String deployID)`
`String` | `deploy(org.gcube.common.core.scope.GCUBEScope scope, String[] ghnsID, String[] servicesID)`
`String` | `undeploy(org.gcube.common.core.scope.GCUBEScope scope)`

Methods inherited from class org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
`addToExistingScope, copyFromToVO, delete, forceDelete, getGCUBEResource, getID, getISClient, getISPublisher, getName, getReportResourceManager, getResourceManager, getResourceManagers, getResourceReportManagers, getSecurityManager, getSubType, getType, getXMLDescription, removeFromScope, setID, setSecurityManager, validateScopes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunningInstanceManager

    public RunningInstanceManager()
                           throws ResourceParameterException,
                                  ResourceAccessException

  Deprecated. discouraged use. With no ID some operations cannot be accessed.

  Throws:
    `ResourceParameterException`
    `ResourceAccessException`

### RunningInstanceManager

    public RunningInstanceManager(String id)
                           throws ResourceParameterException,
                                  ResourceAccessException

Throws:
  `ResourceParameterException`
  `ResourceAccessException`

### RunningInstanceManager

    public RunningInstanceManager(String id,
                                  String name)
                           throws ResourceParameterException,
                                  ResourceAccessException

Throws:
  `ResourceParameterException`
  `ResourceAccessException`

### RunningInstanceManager

    public RunningInstanceManager(String id,
                                  String name,
                                  String subType)
                           throws ResourceParameterException,
                                  ResourceAccessException

Throws:
  `ResourceParameterException`
  `ResourceAccessException`

Method Detail

### deploy

    public final String deploy(org.gcube.common.core.scope.GCUBEScope scope,
                               String[] ghnsID,
                               String[] servicesID)
                        throws ResourceParameterException,
                               ResourceOperationException

  Throws:
    `ResourceParameterException`
    `ResourceOperationException`

### undeploy

    public final String undeploy(org.gcube.common.core.scope.GCUBEScope scope)
                          throws AbstractResourceException

  Throws:
    `AbstractResourceException`

### checkDeployStatus

    public final String checkDeployStatus(org.gcube.common.core.scope.GCUBEScope scope,
                                          String deployID)
                                   throws AbstractResourceException

  Throws:
    `AbstractResourceException`

### buildGCUBEResource

    protected final org.gcube.common.core.resources.GCUBEResource buildGCUBEResource(String xmlRepresentation)
                                                                              throws AbstractResourceException

  Description copied from class: `AbstractResourceManager`
  Given the XML profile representation of a gcube resource, its GCUBEResource is built. Since it depends on the type of the resource, each concrete implementation of resource managers must implement it.

  Specified by:
    `buildGCUBEResource` in class `AbstractResourceManager`
  Returns:
  Throws:
    `AbstractResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.